Package org.apache.felix.http.base.internal.registry

# Class PathResolution

java.lang.Object
org.apache.felix.http.base.internal.registry.ServletResolution
org.apache.felix.http.base.internal.registry.PathResolution

public class PathResolution extends ServletResolution
Resolution of a servlet based on the path

## Field Summary

Fields
Modifier and Type
Field
Description
`jakarta.servlet.http.MappingMatch`
`match`
`String`
`matchedPattern`
`String`
`matchValue`
`String`
`pathInfo`
`String[]`
`patterns`
`String`
`requestURI`
`String`
`servletPath`

### Fields inherited from class org.apache.felix.http.base.internal.registry.ServletResolution

`handler, handlerRegistry`

## Constructor Summary

Constructors
Constructor
Description
`PathResolution()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### servletPath

public String servletPath

### pathInfo

public String pathInfo

### requestURI

public String requestURI

### patterns

public String[] patterns

### matchedPattern

public String matchedPattern

### match

public jakarta.servlet.http.MappingMatch match

### matchValue

public String matchValue

## Constructor Details

### PathResolution

public PathResolution()